// Fill out your copyright notice in the Description page of Project Settings.


#include "Player/LMPlayer.h"

#include "Weapon/LMWeaponManager.h"

ALMPlayer::ALMPlayer()
{
	PrimaryActorTick.bCanEverTick = true;
	
	WeaponManager = CreateDefaultSubobject<ULMWeaponManager>(TEXT("Weapon Manager"));
	
	WeaponSkeletalMeshComponent = CreateDefaultSubobject<USkeletalMeshComponent>(TEXT("Weapon Mesh"));
	WeaponSkeletalMeshComponent->SetupAttachment(GetMesh());

	WeaponManager->SetWeaponMeshComponent(WeaponSkeletalMeshComponent);
}

void ALMPlayer::BeginPlay()
{
	Super::BeginPlay();
}

void ALMPlayer::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

void ALMPlayer::SetupPlayerInputComponent(UInputComponent* PlayerInputComponent)
{
	Super::SetupPlayerInputComponent(PlayerInputComponent);
}

